caca_conio_text_info(3caca)

NAME
caca_conio_text_info - DOS text area information.

SYNOPSIS

  Data Fields
unsigned char winleft
unsigned char wintop
unsigned char winright
unsigned char winbottom
unsigned char attribute
unsigned char normattr
unsigned char currmode
unsigned char screenheight
unsigned char screenwidth
unsigned char curx
unsigned char cury

Detailed Description

This structure stores text area information for the DOS conio.h compatibility layer.

Field Documentation

  unsigned char caca_conio_text_info::winleft
left window coordinate

  unsigned char caca_conio_text_info::wintop
top window coordinate

  unsigned char caca_conio_text_info::winright
right window coordinate

  unsigned char caca_conio_text_info::winbottom
bottom window coordinate

  unsigned char caca_conio_text_info::attribute
text attribute

  unsigned char caca_conio_text_info::normattr
normal attribute

  unsigned char caca_conio_text_info::currmode
current video mode: BW40, BW80, C40, C80, or C4350

  unsigned char caca_conio_text_info::screenheight
text screen's height

  unsigned char caca_conio_text_info::screenwidth
text screen's width

  unsigned char caca_conio_text_info::curx
x-coordinate in current window

  unsigned char caca_conio_text_info::cury
y-coordinate in current window

Author

Generated automatically by Doxygen for libcaca from the source code.